class CreateDiningFacilities < ActiveRecord::Migration[5.1]
  def change
    create_table :dining_facilities do |t|
      t.references :zone, foreign_key: true
      t.string :name, :null => false
      t.string :status, :null => false, :default => "available"
      t.string :type, :null => false, :default => "Table"
      t.integer :seater, :null => false, :default => 2
      t.integer :order_by

      t.string :created_by
      t.boolean :is_active, :null => false, :default => true

      t.timestamps
    end
  end
end
